local MODID = "_CRR"
local MULTIPLIER = 0

local IGNORE_SNP = true
local IGNORE_SHOTGUN = true

Hooks:PostHook(WeaponTweakData, "_init_new_weapons", "_init_new_weapons"..MODID, function(self, tweak_data)
	for k,v in pairs(self) do
		local modify = true
		
		if IGNORE_SNP and v.category == WeaponTweakData.WEAPON_CATEGORY_SNP then
			modify = false
		end
		
		if IGNORE_SHOTGUN and v.category == WeaponTweakData.WEAPON_CATEGORY_SHOTGUN then
			modify = false
		end
		
		if modify and v.shake and v.shake.fire_multiplier and v.shake.fire_steelsight_multiplier then
			v.shake.fire_multiplier = v.shake.fire_multiplier * MULTIPLIER
			v.shake.fire_steelsight_multiplier = v.shake.fire_steelsight_multiplier * MULTIPLIER
		end
	end
end)